Bug 222310 - anaconda dies with a traceback upon start
anaconda dies with a traceback upon start
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2007-01-11 11:04 EST by Jakub Hrozek
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-15 13:29:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2007-01-11 11:04:31 EST
Description of problem:
Anaconda crashes upon starting. This happens just after I retrieve the stage2 
image and I see the "Running anaconda, the Fedora Core system installer"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start the installer
Actual results:
Traceback (most recent call last):
   File "/usr/bin/anaconda", line 574, in <module>
      import signal, traceback, string, isys, iutil, time
   File "/usr/lib/anaconda/isys.py", line 32, in <module>
      import block
   File "/usr/lib/python2.5/site-packages/block/__init__.py", line 33, in 
    from bdevid import bdevid as _bdevid
ImportError: libnash.so.6.0.6: cannot open shared object file: No such file or 
install exited abnormally [1/1]
sending termination signals...done
sending kill signals...done
disabling swap...
<rest omitted>

Expected results:
installer should not crash :)

Additional info:
This happens on an Asus M6A laptop.
Comment 1 Jakub Hrozek 2007-01-11 11:17:38 EST
I just tried to mount the stage2.img and didn't find any "libnash.so.6.0.6" so 
it might not be Anaconda's fault after all, feel free to close this bug in 
that case.
Comment 2 Jeremy Katz 2007-01-15 13:29:12 EST
This is fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.